# GuContext Struct Reference

`#include <sdk/gu/guInternal.h>`

Collaboration diagram for GuContext:

[legend]

## Data Fields

GuDisplayList | list
int | scissor_enable
int | scissor_start [2]
int | scissor_end [2]
int | near_plane
int | far_plane
int | depth_offset
int | unknown_state
int | texture_function
int | texture_proj_map_mode
int | texture_map_mode
int | sprite_mode [4]
unsigned int | clear_color
unsigned int | clear_stencil
unsigned int | clear_depth
int | texture_mode

## Field Documentation

unsigned int GuContext::clear_color

unsigned int GuContext::clear_depth

unsigned int GuContext::clear_stencil

int GuContext::depth_offset

int GuContext::far_plane

GuDisplayList GuContext::list

int GuContext::near_plane

int GuContext::scissor_enable

int GuContext::scissor_end[2]

int GuContext::scissor_start[2]

int GuContext::sprite_mode[4]

int GuContext::texture_function

int GuContext::texture_map_mode

int GuContext::texture_mode

int GuContext::texture_proj_map_mode

int GuContext::unknown_state

The documentation for this struct was generated from the following file:

- sdk/gu/guInternal.h